## org.apache.lucene.queryParser.standard.builders
Class AnyQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.AnyQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class AnyQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Constructor Summary
`AnyQueryNodeBuilder()`

Method Summary
`BooleanQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyQueryNodeBuilder

    public AnyQueryNodeBuilder()

Method Detail

### build

    public BooleanQuery build(QueryNode queryNode)
                       throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`